"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function plugin(t, c) {
    return {
        ImportDeclaration(path) {
            const { node } = path;
            const { value } = node.source; // 获取模块名称
            const componentValue = typeof c === 'function' ? c(value) : c[value];
            if (!componentValue) {
                return;
            }
            const importValue = Array.isArray(componentValue) ? componentValue : [componentValue];
            for (let i = importValue.length - 1; i >= 0; i--) {
                const addPath = importValue[i];
                // 约定以~开头的路径，不添加moduleName
                const stringLiteralValue = addPath[0] !== '~' ? `${value}/${addPath}` : addPath.substr(1);
                const stringLiteral = t.stringLiteral(stringLiteralValue);
                const importDeclaration = t.importDeclaration([], stringLiteral);
                path.insertAfter([importDeclaration]);
            }
        }
    };
}
exports.default = plugin;
